using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Extensions;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Exam
{
    public class ExamManageViewResponse : IViewResponse
    {
        /// <summary>
        /// 考试标题
        /// </summary>
        [Description("考试标题")]
        public string Name { get; set; }

        /// <summary>
        /// 考试编号
        /// </summary>
        [Description("考试编号")]
        public string Code { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType ExamType { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public string ExamTypeDes
        {
            get
            {
                return ExamType.GetDescription();
            }
        }

        /// <summary>
        /// 组卷方式
        /// </summary>
        [Description("组卷方式")]
        public string ModeDes
        {
            get
            {
                return Mode.GetDescription();
            }
        }


        /// <summary>
        /// 考核方式
        /// </summary>
        [Description("考核方式")]
        public EMethod Mode { get; set; }

        /// <summary>
        /// 试卷Id
        /// </summary>
        [Description("试卷Id")]
        public string TestPaperId { get; set; }

        /// <summary>
        /// 可考次数
        /// </summary>
        [Description("可考次数")]
        public int Count { get; set; }

        /// <summary>
        /// 考试时长
        /// </summary>
        [Description("考试时长")]
        public int TimeSpan { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        public DateTime EndTime { get; set; }


        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 总分
        /// </summary>
        [Description("总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 分数线
        /// </summary>
        [Description("分数线")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 考试状态
        /// </summary>
        [Description("考试状态")]
        public EExamStatus ExamStatus {get;set;}

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }
    }
}
